Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service.processor
Class ServiceInternalMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.service.processor.ServiceInternalMessageProcessor

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ServiceInternalMessageProcessor

extends AbstractInterceptingMessageProcessor

Field Summary
`protected MessageProcessor` | `receiveAsyncReplyMessageProcessor`
`protected Service` | `service`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ServiceInternalMessageProcessor(Service service)`

Method Summary
`protected ReplyToHandler` | `getReplyToHandler(MuleMessage message, ImmutableEndpoint endpoint)`
`MuleEvent` | `process(MuleEvent event)` We do all this together here rather than chaining them in order to conserve 2.x exception handling behaviour
`protected void` | `processReplyTo(MuleEvent event, MuleEvent result, ReplyToHandler replyToHandler, Object replyTo)`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### service

    protected Service service

### receiveAsyncReplyMessageProcessor

    protected MessageProcessor receiveAsyncReplyMessageProcessor

Constructor Detail

### ServiceInternalMessageProcessor

    public ServiceInternalMessageProcessor(Service service)

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  We do all this together here rather than chaining them in order to conserve 2.x exception handling behaviour

  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### getReplyToHandler

    protected ReplyToHandler getReplyToHandler(MuleMessage message,
                                               ImmutableEndpoint endpoint)

### processReplyTo

    protected void processReplyTo(MuleEvent event,
                                  MuleEvent result,
                                  ReplyToHandler replyToHandler,
                                  Object replyTo)
                           throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.